Skip to content
Back to top
View this page

# `incus top`

Display resource usage info per instance

## Synopsis

[96;1;4mDescription:[0;22;24m
Displays CPU usage, memory usage, and disk usage per instance
Default column layout: numD
== Columns ==
The -c option takes a comma separated list of arguments that control
which instance attributes to output when displaying in table or compact
format.
Column arguments are pre-defined shorthand chars (see below).
Commas between consecutive shorthand chars are optional.
Column shorthand chars:
D - disk usage
e - Project name
m - Memory usage
n - Instance name
u - CPU usage (in seconds)

    incus top [2m[[22m[32m<remote>[0m:[2m][22m [flags]

## Options

          --all-projects   Display instances from all projects
      -c, --columns        Columns (default "numD")
      -f, --format         Format (table|compact) (default "table")
          --refresh        Configure the refresh delay in seconds (default 10)

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus - Command line client for Incus